org.eclipse.actf.util.vocab

## Enum Vocabulary.FlashMode

- java.lang.Object
- - java.lang.Enum<Vocabulary.FlashMode>
  - - org.eclipse.actf.util.vocab.Vocabulary.FlashMode

All Implemented Interfaces:
  Serializable, Comparable<Vocabulary.FlashMode>

Enclosing class:
  Vocabulary

    public static enum Vocabulary.FlashMode
    extends Enum<Vocabulary.FlashMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FLASH_DOM`
`MSAA`
`NO_FLASH`

### Method Summary

Methods
`static Vocabulary.FlashMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Vocabulary.FlashMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MSAA

    public static final Vocabulary.FlashMode MSAA

#### FLASH_DOM

    public static final Vocabulary.FlashMode FLASH_DOM

#### NO_FLASH

    public static final Vocabulary.FlashMode NO_FLASH

### Method Detail

#### values

    public static Vocabulary.FlashMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Vocabulary.FlashMode c : Vocabulary.FlashMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Vocabulary.FlashMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null